import { SpcSerUrl } from './../consts/urlConsts';
import { commonPost, commonGet, commonDelete } from './../utils/request';

// 设备 拓扑图
export const getEmTopoAction = () => {
  let url = SpcSerUrl.emTopoUrl;
  return commonGet(url);
};

// 设备 拓扑图更新数据
export const updateEmTopoAction = (params) => {
  let url = SpcSerUrl.emTopoUrl;
  return commonPost(url,params);
};

// 设备 拓扑图节点详情
export const nodeDetailTopoAction = (id) => {
  let url = `${SpcSerUrl.nodeDetailTopoUrl}/${id}`;
  return commonGet(url);
};
